#-*- coding: utf-8 -*- 
#
# Fichier: Script_TAD_7.py
#

# Définition d'une Pile à partir de la liste Python
# Inspiré de Jean-Pierre Becirspahic
# https://info-llg.fr/commun-mp/pdf/01.piles.pdf
# Revue PG Octobre 2020


class Pile:
    def __init__(self):
        self.lst  =  []
    
    def estVide(self):
        return self.lst  ==  []
    
    def empiler(self,  x):
        self.lst.append(x)
    
    def depiler(self):
        if self.estVide():
            raise ValueError("pile  vide")
        return self.lst.pop()
        
    def longueur(self):
        return len(self.lst)

    def __len__(self):
        return len(self.lst)           
        
    def __str__(self):
        '''
        Impression du sommet de la pile si elle est
        non vide.
        '''

            
     

## Utilisation de la classe Pile
p  =  Pile()

p.empiler("minion_1")
p.empiler("minion_2")
p.empiler("minion_3")   

print(p)

p.depiler()
print(p)
p.depiler()
print(p)
p.depiler()
print(p) 


