#-*- coding: utf-8 -*- 
#
# Fichier: Script_TAD_11_Parenthesage.py

# Définition d'une Pile à partir de liste chainée Python
# Inspiré de Jean-Pierre Becirspahic
# https://info-llg.fr/commun-mp/pdf/01.piles.pdf
# Revue PG Octobre 2020


class Cell:
    def __init__(self,  x):
        self.val  =  x
        self.next  =  None

class Pile:
    def __init__(self):
        self.lst  =  None
    
    def estVide(self):
        return self.lst is None
    
    def empiler(self,  x):
        c  =  Cell(x)
        c.next  =  self.lst
        self.lst  =  c
    
    def depiler(self):
        if self.estVide():
            raise ValueError("pile  vide")
        c  =  self.lst
        self.lst  =  c.next
        return c.val



        
## Utilisation de la classe Pile
print("VERIFICATION DU BON PARANTHESAGE D'UNE EXPRESSION")
print()

p  =  Pile()

chaine=input("Entrez votre chaine de caractères : ")
if chaine=='':
    chaine="(2+4*(5+22)"
    print("Choix par défaut : ",chaine)


            

    
   
 