#-*- coding: utf-8 -*- 
#
# Script_TAD_15.py

#
# Définition d'une Pile à partir de liste  Python
# Inspiré de Jean-Pierre Becirspahic
# https://info-llg.fr/commun-mp/pdf/01.piles.pdf
# Modification P.G


# Impression des éléments de la pile
def imprimeElement(lst):
    """
    Imprime les éléments de la pile
    construction récursive
    """
    if lst is None:
        print("")
    else:
        print(lst.val)
        imprimeElement(lst.next)
        
class Cell:
    def __init__(self,  x):
        self.val  =  x
        self.next  =  None

class Pile:
    def __init__(self):
        self.lst  =  []
    
    def estVide(self):
        return self.lst  ==  []
    
    def empiler(self, x):
        self.lst.append(x)
    
    def depiler(self):
        if self.estVide():
            raise ValueError("pile  vide")
        return self.lst.pop()

    def afficher(self):
        """afficher le contenu de la pile"""
        imprimeElement(self.lst)


class File:
    def __init__(self):
        self.inbox  =  Pile()
        self.outbox =  Pile()
        
    def enfiler(self, x):


        
    def defiler(self):


        
    def estVide(self):
        return self.inbox.estVide() and self.outbox.estVide()

        
## Utilisation de la classe Pile        
ma_file = File()

ma_file.enfiler(10)
ma_file.enfiler(20)  
ma_file.enfiler(30)

print(ma_file.defiler()) 
print(ma_file.defiler())

ma_file.enfiler(40) 

print(ma_file.defiler())
print(ma_file.defiler())

print(ma_file.estVide()) 
print(ma_file.defiler())
      